> For the complete documentation index, see [llms.txt](https://docs.burve.fi/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.burve.fi/technicals/risk-assessment.md).

# Risk Assessment

## Audits

Previous versions of Burve have been audited by the Pashov team.

The latest version of Burve is currently undergoing a Sherlock Audit contest.

## Safety Assumptions&#x20;

* No Fee-On-Transfer tokens.
* No tokens that revert on zero-value approvals.
* Owners and vetoers are trusted individuals (that will be decentralized over time).
* Owners are expected to set values appropriately. This means:
  * Vertex vaults have acceptable risk tolerances and are expected to not lose token amounts. Currently they can only be ERC4626s.
  * The adjustors and station proxies are properly configured.
  * The bgtExchanges are properly configured and are almost always funded with BGT.
  * New bgtExchange configurations use the previous one as a backup.
  * The deMinimus in searchParams is smaller than 1e6.
  * esX128 for any token is less than 2^24 << 128.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.burve.fi/technicals/risk-assessment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
